#Example of applying the green toad scaled mass index
#Written as a supplement for
#Landler et al. 
#"A unified approach to analysis of body condition in green toads"

#load the function "scaledMassGT"
source("scaledMassGT.R")

#load example data (based on Sistani et al. 2021, Herpetozoa)
Donaufeld_2020<-readRDS("Donaufeld_example.RDS")

#apply the function. Input for the function is SVL (in mm), mass (in g) and the individual identifier of the green toad
Donaufeld.gtSMI<-scaledMassGT(Donaufeld_2020$L,Donaufeld_2020$M,Donaufeld_2020$ID)

#then, for example, the mean SMI can be calculated 
mean(Donaufeld.gtSMI$SMI.gt)

#here is the result for this example 
#> mean(Donaufeld.gtSMI$SMI.gt)
#[1] 25.92228

